## dde-widgets 6.0.23

=== debian/changelog ===
dde-widgets (6.0.23) unstable; urgency=medium

  * fix: The notification center panel is too close to the edge(Issue: https://github.com/linuxdeepin/developer-center/issues/9373)
  * fix: border color issue(Issue: https://github.com/linuxdeepin/developer-center/issues/8342)

 -- Zhang kun <zhangkun2@uniontech.com>  Mon, 24 Jun 2024 10:20:10 +0800

dde-widgets (6.0.22) unstable; urgency=medium

  * fix: Fix notification center geometry not changing with dock(Issue: https://github.com/linuxdeepin/developer-center/issues/8323)

 -- Zhang kun <zhangkun2@uniontech.com>  Mon, 06 May 2024 13:21:44 +0800

dde-widgets (6.0.21) unstable; urgency=medium

  * fix: add/delete button size tweak(https://github.com/linuxdeepin/developer-center/issues/7552)
  * fix: chore: do not hide in debug mode
  * fix: fix: border tearing due to scaling(Issue: https://github.com/linuxdeepin/developer-center/issues/5550)
  * fix:  Notification center widget swap memory display 'nan'(Issue: Issue: https://github.com/linuxdeepin/developer-center/issues/7400)

 -- Zhang kun <zhangkun2@uniontech.com>  Wed, 10 Apr 2024 09:59:47 +0800

dde-widgets (6.0.20) unstable; urgency=medium

  * fix: scroll bar covers the content(Issue: https://github.com/linuxdeepin/developer-center/issues/6744)
  * fix: calendar show incomplete in dde-wigdet
  * fix: slide out animation blinking(Issue: https://github.com/linuxdeepin/developer-center/issues/7177)

 -- Wang Yixue <wangyixue@deepin.org>  Fri, 01 Mar 2024 09:58:03 +0800

dde-widgets (6.0.19) unstable; urgency=medium

  * fix: description text is clipped
  * fix: button show incomplete
  * fix: does not acquire focus after shown

 -- zsien <quezhiyong@deepin.org>  Fri, 26 Jan 2024 09:47:18 +0800

dde-widgets (6.0.18) unstable; urgency=medium

  * fix: collapse button show when full collapsed(Issue: https://github.com/linuxdeepin/developer-center/issues/5362)
  * fix: Fix "undefined reference" errors
    Thanks to Hillwood Yang
  * fix: wrong position when screen changed(Issue: https://github.com/linuxdeepin/developer-center/issues/6867)

 -- YeShanShan <yeshanshan@deepin.org>  Wed, 17 Jan 2024 15:13:59 +0800

dde-widgets (6.0.17) unstable; urgency=medium

  * release 6.0.17
  * fix: dde-widgets window margin error(#4400)
  * update notify clear icon(#6367)

 -- Mike Chen <chenke@deepin.org>  Tue, 09 Jan 2024 17:08:01 +0800

dde-widgets (6.0.16) unstable; urgency=medium

  * release 6.0.16
  * fix #4907

 -- Mike Chen <chenke@deepin.org>  Thu, 04 Jan 2024 11:17:10 +0800

dde-widgets (6.0.15) unstable; urgency=medium

  * release 6.0.15
  * fix: dde-widgets height error(#5703)
  * fix: description text color error(#2340)
  * feat: Add calendar widget

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 14 Dec 2023 13:17:28 +0800

dde-widgets (6.0.14) unstable; urgency=medium

  * chore: Sync by https://github.com/linuxdeepin/.github/commit/559e91167d4919644f37bbcf123eb0651c1528ea(Influence: none)
  * chore: adjust the include files in main.cpp
  * fix: clock drawing error
  * fix: widget's not in center(Issue: https://github.com/linuxdeepin/developer-center/issues/5256)
  * fix: UI error on collapse mode(Issue: https://github.com/linuxdeepin/developer-center/issues/4642)

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 30 Aug 2023 10:59:26 +0800

dde-widgets (6.0.13) unstable; urgency=medium

  * chore: Sync by https://github.com/linuxdeepin/.github/commit/2e5e092ba3f86b16d1aabbabcf0bfd2ae65b19c8(Influence: none)
  * fix: never install to home when released
  * feat: Use find_program to find qdbusxml2cpp-fix
  * fix: do not hardcord libdir
    Thanks to Hillwood Yang
  * chore: avoid use hardcode path in services
  * fix: build error due to xml2cpp varible's change in dtkcore
  * feat: support tzdir variable
  * fix: widget in cell isn't center-align(Issue: #22)
  * fix: font size don't synchronize changes(Issue: #5)
  * fix: set offset diff to local time
    Thanks to rewine
  * chore(CI): Update obs tag build workflow
  * Revert "fix: 修复玲珑应用通知无法跳转"
  * fix: 调整关于对话框的文字排版

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 04 Jul 2023 15:56:08 +0800

dde-widgets (6.0.12) unstable; urgency=medium

  * fix: Icon blur in high devicePixelRatio(Issue: https://github.com/linuxdeepin/dde-widgets/issues/4)
  * fix: WidgetStore's widget is blur
  * feat: Add startup parameter to show dde-widgets
  * chore: Removing cppcheck warning

 -- Deepin Packages Builder <packages@deepin.org>  Fri, 21 Apr 2023 20:09:01 +0800

dde-widgets (6.0.11) unstable; urgency=medium

  * fix: 修复玲珑应用通知无法跳转
  * chore: Compile error
  * fix: Adaptor XEventMonitor1 updated(Issue: https://github.com/linuxdeepin/developer-center/issues/4132)

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 20 Apr 2023 13:41:28 +0800

dde-widgets (6.0.10) unstable; urgency=medium

  * fix: Remove aliasing for Panel.
  * fix: Add blur background for frame.
  * fix: incorrent background for memory and clock Widget.

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 30 Mar 2023 14:35:56 +0800

dde-widgets (6.0.8) unstable; urgency=medium

  [ TagBuilder ]
  * fix: 修复显示面板里编辑按钮被遮住(Bug: 181491)(Influence: 显示面板)
  * fix: 修复不同语言下按钮显示不全(Bug: 184126)(Influence: 编辑面板)

 -- lvpeilong <lvpeilong@uniontech.com>  Mon, 16 Jan 2023 10:01:05 +0800

dde-widgets (6.0.7) unstable; urgency=medium

  [ TagBuilder ]
  * fix: 修复缩放调整为1以上时 时钟面板指针显示错位(Task: 234687)(Influence: 时钟小组件时间显示)
  * fix: 修复时钟小组件中各地区的时间显示均相同(Bug: 181489)(Influence: 时钟小组件时间显示)

 -- lvpeilong <lvpeilong@uniontech.com>  Fri, 06 Jan 2023 15:50:04 +0800

dde-widgets (6.0.6) unstable; urgency=medium

  [ TagBuilder ]
  * fix: 修复桌面的通知中心的通知设置按钮点击无效(Bug: 181065)(Influence: 通知中心调起控制中心通知模块)
  * fix: 修复桌面的通知中心的通知设置按钮点击无效2(Bug: 181065)(Influence: 通知中心调起控制中心通知模块)

 -- zhaoyingzhen <zhaoyingzhen@uniontech.com>  Wed, 04 Jan 2023 11:51:13 +0800

dde-widgets (6.0.5) unstable; urgency=medium

  [ TagBuilder ]
  * fix: 组件面板消失后，自定义的窗口仍然存在(Bug: 166183)(Influence: 时钟组件设置弹出时收起面板效果)

