=== debian/changelog ===
dde-widgets (6.0.25) unstable; urgency=medium

  * fix: window radius isn't changed

 -- xionglinlin <xionglinlin@uniontech.com>  Wed, 25 Sep 2024 18:05:23 +0800

dde-widgets (6.0.24) unstable; urgency=medium

  * fix: show hidden animation lag(Issue: https://github.com/linuxdeepin/developer-center/issues/9728)

 -- Zhang Kun <zhangkun2@uniontech.com>  Wed, 28 Aug 2024 18:00:20 +0800
