=== debian/control ===
Source: dde-widgets
Section: libdevel
Priority: optional
Maintainer: Deepin Packages Builder <yeshanshan@uniontech.com>
Build-Depends:
 debhelper (>=9),
 pkg-config,
 cmake,
 qtbase5-dev,
 libdtkcommon-dev,
 libdtkcore-dev (>>5.6.12),
 libdtkcore5-bin,
 libdtkgui-dev,
 libdtkwidget-dev,
 libgtest-dev
Standards-Version: 4.3.0

Package: dde-widgets
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 dde-daemon (>=5.13.27)
Description: deepin desktop-environment - widgets module
 widgets module of deepin desktop-environment.

Package: dde-widgets-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: deepin desktop-environment - widgets module development files
 widgets module development files of deepin desktop-environment
